> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/user-management/v1/reporting-roles/{id} > Retrieves a single reporting role by identifier ## OpenAPI ````json GET /public/user-management/v1/reporting-roles/{id} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/user-management/v1/reporting-roles/{id}": { "get": { "tags": [ "netcore" ], "description": "Retrieves a single reporting role by identifier", "parameters": [ { "name": "id", "in": "path", "description": "The unique identifier of the reporting role to retrieve", "required": true, "schema": { "type": "string", "format": "uuid" } } ], "responses": { "200": { "description": "Reporting Role", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Netcore.Public.Contracts.Reports.Models.ReportRole" } } } } } } } }, "components": { "schemas": { "R365.Netcore.Public.Contracts.Reports.Models.ReportRole": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the report role." }, "name": { "type": "string", "description": "Display name of the report role." } }, "additionalProperties": false } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````